Op 15 januari 2019 is Joomla 3.9.2 uitgebracht, een veiligheids release. Er zitten in totaal 4 veiligheids fixes en meer dan 50 bug fixes in deze release.

De veiligheidsgerelateerde verbeteringen zijn:

Low Priority - Core - Stored XSS in mod_banners (affecting Joomla 2.5.0 through 3.9.1) 
Meer informatie » Low Priority - Core - Stored XSS in com_contact (affecting Joomla 2.5.0 through 3.9.1)
Meer informatie » Low Priority - Core - Stored XSS issue in the Global Configuration textfilter settings (affecting Joomla 2.5.0 through 3.9.1)
Meer informatie » Low Priority - Core - Stored XSS issue in the Global Configuration help url (affecting Joomla 2.5.0 through 3.9.1)
Meer informatie »

 

Voor een aantal jaar nu zou ik de Joomla World Conference of JandBeyond willen bezoeken. Maar omdat mijn Joomla werk alleen maar vrijwillig is en ik dus geen inkomsten uit Joomla heb en een trip als dit gewoon ook (best wat) geld kost heb ik altijd gekozen om niet te gaan.

Met de introductie van de Joomla 3.7.x serie zijn er een aantal interessante functies gebracht waaronder Aangepaste Velden, verbeteringen in de meertaligheid en een Administrator menubeheer. De huidige versie van Joomla! is op dit moment 3.7.4 en er zitten een aantal nieuwe versies aan te komen.

Ook dit jaar was ik weer aanwezig op de Joomla!Dagen, die op vrijdag 15 april begon met de Pizza, Bugs & Fun (PBF of #pbfnl). Daar aangekomen bleek er een klein probleempje met de WiFi te zijn maar dit werd door het hotel snel verholpen door een switch in de kapel te plaatsen zodat we allemaal via de UTP kabel online konden komen.


Zelf was ik van plan om dit bij deze PBF me te richten op het vertalen van de Joomla! Documentatie, daar ligt ook nog een kleine uitdaging, in plaats van de patches te gaan testen. Zoals gewoonlijk werden er voor de PBF een aantal issues uitgezocht die de PBF organisatie graag afgehandeld ziet worden op een bord gehangen en op het einde van de PBF waren deze ook inderdaad vrijwel allemaal afgehandeld. Met zo even gezamelijk gestructureerd samenwerken kan je snel resultaat halen! En natuurlijk kan je het gehele jaar thuis of ergens anders ook gewoon verder gaan met testen of vertalen. En natuurlijk even met Elisa praten met wie ik op Twitter aan het babbelen ben.

In oktober 2015 kwam Google met AMP (Accelerated Mobile Pages) waarmee ze graag lichtere pagina's willen verzorgen die op mobiele apparaten getoond worden. Veel pagina's zijn nu nog niet geoptimaliseerd voor die apparaten met als gevolg dat er veel data heen en weer verstuurd wordt die in principe niet nodig hoeft te zijn.

Wat is dan AMP?

AMP HTML is eigenlijk gewoon HTML maar dan met restricties om betrouwbare prestaties te verkrijgen en wat extra extensies om rich content te kunnen verzorgen. De AMP JS library zorgt voor een snelle rendering van de AMP HTML pagina's. Eigenlijk wordt de webversie uitgekleed van alle onnodige elementen met minimaal gebruik van resources. Ook biedt Google de mogelijkheid om ook van hun CDN gebruik te maken.

Waarom is dit nu belangrijk?

Google zal nu ook de AMP-resultaten tonen bij zoekopdrachten, dus websites met een AMP-versie zullen naar verwachting beter gaan scoren bij het zoeken naar informatie.

Hoe kan ik makkelijk Google AMP op mijn Joomla! website krijgen?

Het Joomla! Project is verheugd om de beschikbaarheid van Joomla! CMS 3.5 Beta 1 aan te kondigen. De Joomla! Community leden worden gevraagd om deze te downloaden en te installeren om er voor te zorgen dat de er geen fouten in de komende 3.5 release zit.

Joomla! 3.x is de laatste grote release van het Joomla! CMS. Houd er rekening mee dat de upgrade van 3.4 naar 3.5 een one-click upgrade is en NIET een migratie. Het zelfde geldt voor alle volgende versies in de Joomla 3.x serie. Deze 3.5 beta 1 is bedoeld om te testen en er is geen upgrade vanaf de 3.5 beta naar de uiteindelijke release.

Waar is deze release voor bedoeld?

Dit is een BETA release, die alleen bedoeld is om op test webomgevingen te gebruiken. Beta releases kunnen niet worden geupgrade. Extensie-ontwikkelaars worden aangemoedigd om met deze release te werken om er voor te zorgen dat er geen backward compatibiliteits problemen zijn. Gebruikers worden ook aangemoedigd om deze uitgave te testen en fouten aan te geven in de Joomla! CMS Issue Tracker. Upgrade geen live website naar deze beta versie en start ook geen nieuwe website met deze beta versie. Dit omdat deze ALLEEN bedoeld is voor het testen en dat er geen upgrade naar de uiteindelijke Joomla! 3.5 mogelijk is.